Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::pdf::AnnotationSummarySettings Class Reference
Inheritance diagram for foxit::pdf::AnnotationSummarySettings:

## Public Types
enum | FontSizeType { e_FontSizeSmall = 0, e_FontSizeMedium = 1, e_FontSizeLarge = 2 }
| Enumeration for options used for font size type in result document. More...
enum | SortType { e_TypeSortByAuthor = 0, e_TypeSortByDate = 1, e_TypeSortByPage = 2, e_TypeSortByAnnotationType = 3 }
| Enumeration for options used for sorting annotation in result document. More...
enum | SummaryLayout { e_SummaryLayoutSeparatePagesWithLine = 0, e_SummaryLayoutSinglePageWithLine = 1, e_SummaryLayoutAnnotationOnly = 2, e_SummaryLayoutSeparatePagesWithSequenceNumber = 3, e_SummaryLayoutSinglePageWithSequenceNumber = 4 }
| Enumeration for options used for annotation summary layout. More...

## Public Member Functions
| AnnotationSummarySettings ()
| Constructor, with parameters.
| AnnotationSummarySettings (const AnnotationSummarySettings &other)
| Constructor, with another annotation summary setting object. More...
| ~AnnotationSummarySettings ()
| Destructor.
void | EnableOutputNoAnnotationPage (bool enable)
| Set the flag to decide whether to output information of pages which have no annotation. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const AnnotationSummarySettings &other) const
| Not equal operator. More...
AnnotationSummarySettings & | operator= (const AnnotationSummarySettings &other)
| Assign operator. More...
bool | operator== (const AnnotationSummarySettings &other) const
| Equal operator. More...
void | SetAnnotThumbnail (annots::Annot::Type type, const common::Bitmap &thumbnail)
| Set the markup annotation thumbnail used in result document to indicates the type of annotation. More...
void | SetAnnotType (annots::Annot::Type type, bool use_all)
| Set the option to decide which type of annotations will be summarized. More...
void | SetConnectorLineColor (RGB color)
| Set connector line color. More...
void | SetConnectorLineOpacity (float opacity)
| Set connector line opacity. More...
void | SetEndPage (int page_index)
| Set ending page index. More...
void | SetFileTitle (const wchar_t *title)
| Set the file title string when location of the document needs to be outputed in result document. More...
void | SetFontSize (FontSizeType type)
| Set the font size type used in result document of annotation summary. More...
void | SetPageMargin (const RectF &margin)
| Set the page margin used in result document. More...
void | SetPageRect (const RectF &rect)
| Set the page rectangle in result document. More...
void | SetSortType (SortType type)
| Set the option to decide to sort annotation by what. More...
void | SetStartPage (int page_index)
| Set starting page index. More...
void | SetSummaryLayout (SummaryLayout type)
| Set summary layout type. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents settings for summarizing annotation. This would be used in class AnnotationSummary.

See also
  AnnotationSummary

## Member Enumeration Documentation

## ◆ FontSizeType

enum foxit::pdf::AnnotationSummarySettings::FontSizeType

Enumeration for options used for font size type in result document.

Values of this enumeration can be used alone.

Enumerator
e_FontSizeSmall | If set, that means to use small font size in result document.
e_FontSizeMedium | If set, that means to use medium font size in result document.
e_FontSizeLarge | If set, that means to use large font size in result document.

## ◆ SortType

enum foxit::pdf::AnnotationSummarySettings::SortType

Enumeration for options used for sorting annotation in result document.

Values of this enumeration can be used alone.

Enumerator
e_TypeSortByAuthor | If set, that means to sort annotation by author in result document.
e_TypeSortByDate | If set, that means to sort annotation by date in result document.
e_TypeSortByPage | If set, that means to sort annotation by page in result document.
e_TypeSortByAnnotationType | If set, that means to sort annotation by annotation type in result document.

## ◆ SummaryLayout

enum foxit::pdf::AnnotationSummarySettings::SummaryLayout

Enumeration for options used for annotation summary layout.

Values of this enumeration can be used alone.

Enumerator
e_SummaryLayoutSeparatePagesWithLine | If set, that means to layout document and annotations with connector lines on separate pages.
e_SummaryLayoutSinglePageWithLine | If set, that means to layout document and annotations with connector lines on single pages.
e_SummaryLayoutAnnotationOnly | If set, that means to layout annotations only.
e_SummaryLayoutSeparatePagesWithSequenceNumber | If set, that means to layout document and annotations with sequence numbers on separate pages.
e_SummaryLayoutSinglePageWithSequenceNumber | If set, that means to layout document and annotations with sequence numbers on separate pages.

## Constructor & Destructor Documentation

## ◆ AnnotationSummarySettings()

foxit::pdf::AnnotationSummarySettings::AnnotationSummarySettings | ( | const AnnotationSummarySettings & | other | ) |

Constructor, with another annotation summary setting object.

Parameters

  [in] | other | Another annotation summary setting object.

## Member Function Documentation

## ◆ EnableOutputNoAnnotationPage()

void foxit::pdf::AnnotationSummarySettings::EnableOutputNoAnnotationPage | ( | bool | enable | ) |

Set the flag to decide whether to output information of pages which have no annotation.

or a newly constructed object, if this function is not called, default value true will be used.

Parameters

  [in] | enable | A boolean value to decide whether to output information of pages which have no annotation: true means to output information of pages which have no annotation, while false means not to output information of pages which have no annotation,

Returns
  None.

## ◆ IsEmpty()

bool foxit::pdf::AnnotationSummarySettings::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::AnnotationSummarySettings::operator!= | ( | const AnnotationSummarySettings & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another annotation summary setting object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

AnnotationSummarySettings& foxit::pdf::AnnotationSummarySettings::operator= | ( | const AnnotationSummarySettings & | other | ) |

Assign operator.

Parameters

  [in] | other | Another annotation summary setting object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::AnnotationSummarySettings::operator== | ( | const AnnotationSummarySettings & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another annotation summary setting object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetAnnotThumbnail()

void foxit::pdf::AnnotationSummarySettings::SetAnnotThumbnail | ( | annots::Annot::Type | type,
|  | const common::Bitmap & | thumbnail
| ) |  |

Set the markup annotation thumbnail used in result document to indicates the type of annotation.

Thumbnail bitmap does not use alpha channel. So user is recommended to set a bitmap without alpha channel to be the new thumbnail. If a bitmap with alpha channel is set, the new thumbnail will use white background by default.
If not set, no thumbnail will be used for corresponding annotation type.

Parameters

  [in] | type | Annotation type to decide whose thumbnail is to be set. Please refer to values starting from annots::Annot::e_Note and this should be one of these values except annots::Annot::e_Link, annots::Annot::e_PSInk, annots::Annot::e_Sound, annots::Annot::e_Movie, annots::Annot::e_Widget, annots::Annot::e_Screen, annots::Annot::e_PrinterMark, annots::Annot::e_TrapNet, annots::Annot::e_Watermark, annots::Annot::e_3D, annots::Annot::e_Popup, annots::Annot::e_Redact.
  [in] | thumbnail | A bitmap used as thumbnail for an annotation type in result document. This should be a valid bitmap. If the bitmap size is not 12*12, the bitmap will be scaled to 12*12 when being used.

Returns
  None.

## ◆ SetAnnotType()

void foxit::pdf::AnnotationSummarySettings::SetAnnotType | ( | annots::Annot::Type | type,
|  | bool | use_all
| ) |  |

Set the option to decide which type of annotations will be summarized.

For a newly constructed object, if this function is not called to set this option, that means to summarize annotation in all supported types.

Parameters

  [in] | type | Annotation type to decide which annotations is to be summarized. Please refer to values starting from annots::Annot::e_Note and this should be one of these values except annots::Annot::e_Link, annots::Annot::e_PSInk, annots::Annot::e_Sound, annots::Annot::e_Movie, annots::Annot::e_Widget, annots::Annot::e_Screen, annots::Annot::e_PrinterMark, annots::Annot::e_TrapNet, annots::Annot::e_Watermark, annots::Annot::e_3D, annots::Annot::e_Popup, annots::Annot::e_Redact.
  [in] | use_all | A boolean value to decide whether to summarize all the supported annotations in result document: true means to summarize annotations in all the supported types. In this case, parameter type would be ignored. false means to only summarize annotations specified by parameter type.

Returns
  None.

## ◆ SetConnectorLineColor()

void foxit::pdf::AnnotationSummarySettings::SetConnectorLineColor | ( | RGB | color | ) |

Set connector line color.

This option will take effect when summary layout type is set AnnotationSummarySettings::e_SummaryLayoutSeparatePagesWithLine or AnnotationSummarySettings::e_SummaryLayoutSinglePageWithLine by function by AnnotationSummarySettings::SetSummaryLayout. If not set, default value 0x000000 will be used.

Parameters

  [in] | color | Connector line color. Format: 0xRRGGBB.

Returns
  None.

## ◆ SetConnectorLineOpacity()

void foxit::pdf::AnnotationSummarySettings::SetConnectorLineOpacity | ( | float | opacity | ) |

Set connector line opacity.

This option will take effect when summary layout type is set AnnotationSummarySettings::e_SummaryLayoutSeparatePagesWithLine or AnnotationSummarySettings::e_SummaryLayoutSinglePageWithLine by function by AnnotationSummarySettings::SetSummaryLayout. If not set, default value 1.0 will be used.

Parameters

  [in] | opacity | Connector line opacity. Valid range: from 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetEndPage()

void foxit::pdf::AnnotationSummarySettings::SetEndPage | ( | int | page_index | ) |

Set ending page index.

For a newly constructed object, if this function is not called, default value (count-1) will be used as the ending page index. count is returned by function PDFDoc::GetPageCount for the PDF document whose annotations are to be summarized.

Parameters

  [in] | page_index | Page index to specify the ending page where summarizing operation ends. Valid range: from 0 to (count-1). count is returned by function PDFDoc::GetPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function AnnotationSummary::StartSummarize is called.

Returns
  None.

## ◆ SetFileTitle()

void foxit::pdf::AnnotationSummarySettings::SetFileTitle | ( | const wchar_t * | title | ) |

Set the file title string when location of the document needs to be outputed in result document.

If not set, an empty string will be used as default.

Parameters

  [in] | title | Summary title used in result document.

Returns
  None.

## ◆ SetFontSize()

void foxit::pdf::AnnotationSummarySettings::SetFontSize | ( | FontSizeType | type | ) |

Set the font size type used in result document of annotation summary.

For a newly constructed object, if this function is not called to set this option, that means to use AnnotationSummarySettings::e_FontSizeMedium as the default value of this option.

Parameters

  [in] | type | Font size type used in result document of annotation summary. Please refer to values starting from AnnotationSummarySettings::e_FontSizeSmall and this should be one of these values.

Returns
  None.

## ◆ SetPageMargin()

void foxit::pdf::AnnotationSummarySettings::SetPageMargin | ( | const RectF & | margin | ) |

Set the page margin used in result document.

This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page. If no margin value is set, Foxit PDF SDK will use a maring defined as (50.0, 50.0, 50.0, 50.0) as default.

Parameters

  [in] | margin | Page margin used in result document.

Returns
  None.

## ◆ SetPageRect()

void foxit::pdf::AnnotationSummarySettings::SetPageRect | ( | const RectF & | rect | ) |

Set the page rectangle in result document.

If not set, default rectangle (0.0, 0.0, 612.0, 792.0) will be used.

Parameters

  [in] | rect | Page rectangle used in result document.

Returns
  None.

## ◆ SetSortType()

void foxit::pdf::AnnotationSummarySettings::SetSortType | ( | SortType | type | ) |

Set the option to decide to sort annotation by what.

For a newly constructed object, if this function is not called to set this option, that means to use AnnotationSummarySettings::e_TypeSortByAnnotationType as the default value of this option.

Parameters

  [in] | type | Sorting type for summarizing annotations. Please refer to values starting from AnnotationSummarySettings::e_TypeSortByAuthor and this should be one of these values.

Returns
  None.

## ◆ SetStartPage()

void foxit::pdf::AnnotationSummarySettings::SetStartPage | ( | int | page_index | ) |

Set starting page index.

For a newly constructed object, if this function is not called, default value 0 will be used as the starting page index.

Parameters

  [in] | page_index | Page index to specify the starting page where summarizing operation starts. Valid range: from 0 to (count-1). count is returned by function PDFDoc::GetPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function AnnotationSummary::StartSummarize is called.

Returns
  None.

## ◆ SetSummaryLayout()

void foxit::pdf::AnnotationSummarySettings::SetSummaryLayout | ( | SummaryLayout | type | ) |

Set summary layout type.

For a newly constructed object, if this function is not called to set this option, that means to use AnnotationSummarySettings::e_SummaryLayoutSeparatePagesWithLine as the default value of this option.

Parameters

  [in] | type | Summary layout type. Please refer to values starting from AnnotationSummarySettings::e_SummaryLayoutSeparatePagesWithLine and this should be one of these values.

Returns
  None.